URL structure
{collectionId} is the ID of a folder/collection.
Supported methods and overview
DELETE( Deprecated ) - returns an HTTP response status200 OKonly. In earlier Covata Platform versions, this endpoint used to delete the encrypted data associated with all file objects/Secure Objects contained within a folder/collection (specified bycollectionId) from storage managed by the Covata Platform’s Content Service.
This endpoint is deprecated and should no longer be used. Instead, the deletion of all file object data within a folder (including all file object version data) from storage is now automatically handled through
DELETE method requests to the following endpoints:Detailed description
This API endpoint deletes the encrypted data associated with all file objects contained within a folder (specified bycollectionId) from storage managed by the Covata Platform’s Content Service.
Supported roles and conditions
This API endpoint supports requests utilizing Covata user accounts with the following roles (as described in the Organization Administrator’s Guide) and conditions:- Originator - when this user owns the folder whose ID is specified by
{collectionId}in the request’s URL. - Originator, Collaborator and Ad hoc - when this user is a collaborator with the Remove (Folder) permission on the file object whose ID is specified by
{collectionId}in the URL.
Required headers
The appropriate access token as theBearer token:
Authorization: Bearer eyJhbGciOiJSUzI1NiJ9.eyJleHAiOjE0NjcwMTY2NjYsInVzZXJfbmFtZSI6ImFsZXgub...
Returns
If the request succeeded, then an HTTP response status200 OK is returned.
